ZITADEL Docs
APIsCore ResourcesV1Organization Objects

Create Application (OIDC)

Deprecated: Use CreateApplication instead to create an OIDC application.

Create a new OIDC client. The client id will be generated and returned in the response. Depending on the chosen configuration also a secret will be returned.

POST
/projects/{project_id}/apps/oidc

Path Parameters

project_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/projects/string/apps/oidc" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "appId": "string",
  "details": {
    "sequence": 0,
    "creationDate": "2023-01-15T01:30:15.01Z",
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string"
  },
  "clientId": "string",
  "clientSecret": "string",
  "noneCompliant": true,
  "complianceProblems": [
    {
      "key": "string",
      "localizedMessage": "string"
    }
  ]
}

Was this page helpful?